%% Data Plotting
% Function to plot data processed by data_processing function. The plot is
% configured to include a background indicating the visible spectrum and
% has wavelength in the x-axis and scope-minus-dark counts in the y-axis.

function data_plotting(wavelength,counts)

%%% Initialization of the plot, including adding the visible spectrum
close all
x = [380 780 780 380];
y = [-1000 -1000 66000 66000];
c = [0; 1; 1; 0];
fig = fill(x,y,c);
colormap(jet(256))
xlim([200 1100])
ylim([-1000 66000])
set(fig,'facealpha',0.6)
grid on
ay = gca;
ay.YAxis.Exponent = 0; % Changes y-axis to numerical notation
ytickangle(90)
set(gcf,'position',[200,200,1000,400]) % Adjusts position and size of plot
ylabel('Scope-Minus-Dark (ADC Counts)')
xlabel('Wavelength (nm)')
hold on

%%% Previous loop used to determine ideal measurement from each sample
%     for i = 1:size(counts,2)
%         plot(wavelength,counts(:,i))
%         title(strcat('Scan #',num2str(i)))
%     end

%%% Plot data
col = [0 0 1]; % Spectrum color
i = 252; % Ideal measurement from each sample
plot(wavelength, counts(:,i),'Color',col)
